Skip to main content
GET
List expiries

Authorizations

X-API-Key
string
header
required

Your Sandmark API key.

Query Parameters

asset
enum<string>
required

Underlying identifier, VENUE.BASE_QUOTE. DER is Deribit; OKX, BIN (Binance) and BYB (Bybit) are the other venues. DER.BTC_USD and DER.ETH_USD are the inverse contracts and carry the deepest history; the _USDC underlyings are linear.

Available options:
DER.BTC_USD,
DER.ETH_USD,
DER.BTC_USDC,
DER.ETH_USDC,
DER.SOL_USDC,
DER.XRP_USDC,
DER.AVAX_USDC,
DER.TRX_USDC,
DER.HYPE_USDC,
OKX.BTC_USD,
OKX.ETH_USD,
BIN.BTC_USDT,
BIN.ETH_USDT,
BYB.BTC_USDT,
BYB.ETH_USDT
instrument_type
enum<string>
default:option

Whether to list option or future expiries.

Available options:
option,
future
last_friday_only
boolean
default:true

Keep only expiries on the last Friday of the month.

active_only
boolean
default:false

Keep only expiries strictly after now.

Response

OK

asset
string
required
instrument_type
enum<string>
required
Available options:
option,
future
last_friday_only
boolean
required
active_only
boolean
required
expiries
string[]
required